#ifndef LANGUAGEFRAME_H
#define LANGUAGEFRAME_H

#include "ukccframe.h"
#include <QLabel>
#include <QIcon>
#include <QToolButton>

class LanguageFrame : public UkccFrame
{
    Q_OBJECT

public:
    LanguageFrame(QString showName, QWidget *parent = nullptr);
    ~LanguageFrame();
    void showSelectedIcon(bool flag);
    bool isSelection();
    QToolButton *createToolBtn();
    QString getShowName();
    void reloadIcon();

private:
    void mousePressEvent(QMouseEvent *e);

private:
    QLabel *nameLabel         = nullptr;
    QLabel *selectedIconLabel = nullptr;
    QIcon  selectIcon;

Q_SIGNALS:
    void clicked();
    void deleted();
};

#endif // LANGUAGEFRAME_H
